Subject: [Uri-review] The 'jar' scheme

From: Bjoern Hoehrmann <[email-masked]>
Date: Mon, 28 Nov 2011 19:08:22 +0100

Hi,

  I was wondering if the 'jar' scheme could be defined in an hour or so,
and so I experimented a bit, comparing the implementation in Firefox and
the Sun Java implementation I had laying around, and they are nothing a-
like when it comes to parsing; simple example `jar:...!/...?example`; in
this case, Firefox ignores the "?example" string while Java treats it as
part of the file name. At best one could define a tiny profile that does
not allow any "special" cases like that without creating some ficition,
or for that matter simply refer to the Java documentation which does not
address these things and leave it at that.

regards,
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/